html, body, h1, h2, h3, h4, h5, h6, p, li, ol, ul, pre {
	margin: 0;
	padding: 0;
}

html, body { min-height: 100%; }

body {
    background-color: #070e1b;
    background-image: linear-gradient(to top, #0009, transparent);
    margin: 0 auto;
    max-width: 1500px;
    font-family: 'Inter', sans-serif;
    color: whitesmoke;
}

a{
  text-decoration : none;
  color: #abb0bb;
  font-weight: 500;
  position: relative;
  z-index: 1;
}
.menu{
  display: flex;
  justify-content: center;
  gap: 20px;
  position : relative;
}

.menu::after{
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 2px;

    background: linear-gradient(
        to right,
        transparent,
        #131a27,
        transparent
    );
}

.menu-item{
    padding: 20px 50px;
    position: relative;
    transition: 0.3s;
}

.menu-item:hover{
    color: #3b82f6;
}
.menu-item::after{
    content: "";
    position: absolute;
    left: 50%;
    bottom: 1px;
    width: 0;
    height: 3px;

    background: linear-gradient(
        to right,
        transparent,
        #093bb8,
        transparent
    );
    transform: translateX(-50%);
    transition: 0.3s;
}

.menu-item:hover::after{
    width: 60%;
}

.hero{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    min-height: 50vh;
}

h3{
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 50px 150px 30px 150px;
}

.text{
   
    padding : 10px 300px;
    color: #abb0bb;
}

.text p{
    margin-bottom: 20px;
}


.logo {
    font-size: 3vw;
    font-weight: 700;
    letter-spacing: 2px;

    background: linear-gradient(
        to right,
        #3b82f6,
        #22c55e
    );

    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;

}
/*#22d3ee*/
/*
#F63B83,
#F6AE3B

text-shadow: 0 0 10px rgba(246, 59, 131, 0.5);
*/
form{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 10px;
    /*transform: translate(0%,-95%);*/
}

.form-group{
    width: 100%;
    max-width: 500px;
    
}

.form-group--ip {
    display: flex;
    gap: 10px;
  
}

.mask_input {
    width: 80px;
}

@keyframes zoomin {
    from {
        transform: scale(0);
        opacity: (0);
    }
    to {
        transform: scale(1);
        opacity: 1;
    }
}

input{
    border-radius: 10px;
    background: rgba(8, 3, 77, 0.05);
    min-height: 4vh;
    width: 500px;
    

     /* fond sombre */
    background: rgba(10, 20, 40, 0.7);

    /* bordure bleu très subtile */
    border: 1px solid rgba(59,130,246,0.15);

    /* effet glass */
    backdrop-filter: blur(20px);

    /* glow léger constant */
    box-shadow:
        inset 0 0 20px rgba(59,130,246,0.05),
        0 0 20px rgba(0,0,0,0.6),
        0 0 40px rgba(59,130,246,0.08);
    color: whitesmoke;

    animation: zoomin 1s;
}

input::placeholder{
    color: rgb(107, 103, 103);
}

.launcher{
    padding : 10px 50px;
    margin: 20px;
    border-radius: 14px;

  
    font-size: 18px;
    font-weight: 500;
    color: white;

    border: none;
    cursor: pointer;

    background: linear-gradient(
    135deg,
    #3b82f6,
    #22c55e

    );
    
  box-shadow: 
    0 0 10px rgba(59,130,246,0.4),
    0 0 20px rgba(34,197,94,0.3);

}


.launcher:hover {
  transform: translateY(-2px);

  box-shadow: 
    0 0 15px rgba(59,130,246,0.6),
    0 0 30px rgba(34,197,94,0.5),
    0 0 60px rgba(59,130,246,0.4);
}

.card {
    display: flex;
    gap: 20px;

    margin: 20px 0;
}

.card_1,
.card_2,
.card_3 {
    flex: 1;
    padding: 30px;
    border-radius: 16px;
    display: flex;
    align-items: flex-start;
    gap : 15px;

    text-align: left;
    
    font-size: 20px;


    /* fond sombre */
    background: rgba(10, 20, 40, 0.7);

    /* bordure bleu très subtile */
    border: 1px solid rgba(59,130,246,0.15);

    /* effet glass */
    backdrop-filter: blur(8px);

    /* glow léger constant */
    box-shadow:
        inset 0 0 20px rgba(59,130,246,0.05),
        0 0 20px rgba(0,0,0,0.6),
        0 0 40px rgba(59,130,246,0.08);
}

.card p{
    font-size: 16px;
}


.icon {
    width: 70px;
    height: 100px;
}


.icon svg {
    width: 100%;
    height: 100%;
}



